Bug 1317128 - RFE: Require option specify the IP address instead of interface during MON/OSD configure
Summary: RFE: Require option specify the IP address instead of interface during MON/OS...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-installer
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 2
Assignee: Alfredo Deza
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks: 1291304
TreeView+ depends on / blocked
 
Reported: 2016-03-12 08:54 UTC by Nishanth Thomas
Modified: 2016-08-23 19:48 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:48:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1754 normal SHIPPED_LIVE New packages: Red Hat Storage Console 2.0 2017-04-18 19:09:06 UTC

Description Nishanth Thomas 2016-03-12 08:54:35 UTC
Description of problem:

Currently the APIs for configuring MON/OSD takes the network interface as input. Instead a provision to specify the IP address should be provided

As per the ceph documentation, there are two network interfaces to be configured - public network and cluster network - and how this is done currently by taking a single interface? same interface is used for both?

Comment 2 Andrew Schoen 2016-03-15 16:48:03 UTC
Until this is completed you'll need to look at the interfaces on the node to find the one that matches the IP address you'd like to use and provide that interface to ceph-installer.

Comment 3 Christina Meno 2016-03-18 16:04:02 UTC
3-4 days effort in ceph-installer and ceph-ansible

Comment 4 Alfredo Deza 2016-03-24 19:47:08 UTC
ceph-ansible PR by Andrew Schoen: https://github.com/ceph/ceph-ansible/pull/643
ceph-installer PR https://github.com/ceph/ceph-installer/pull/126
docs PR https://github.com/ceph/ceph-installer/pull/127

Comment 5 Mike McCune 2016-03-28 22:11:59 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 6 Christina Meno 2016-04-05 04:27:26 UTC
This is fixed in ceph-installer 1.0.2 right?

Comment 7 Andrew Schoen 2016-04-05 14:16:00 UTC
(In reply to Gregory Meno from comment #6)
> This is fixed in ceph-installer 1.0.2 right?

Yes, this feature is in 1.0.2 of ceph-installer and ceph-ansible.

Comment 16 errata-xmlrpc 2016-08-23 19:48:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1754


Note You need to log in before you can comment on or make changes to this bug.